Package org.lwjgl.opengles

# Class OESTexture3D

java.lang.Object
org.lwjgl.opengles.OESTexture3D

public final class OESTexture3D extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_3D_TEXTURE_SIZE_OES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_3D_OES`
Accepted by the <target> parameter of TexImage3DOES, TexSubImage3DOES, CopyTexSubImage3DOES, CompressedTexImage3DOES and CompressedTexSubImage3DOES, GetTexParameteriv, and GetTexParameterfv:
`static final int`
`GL_TEXTURE_BINDING_3D_OES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_TEXTURE_WRAP_R_OES`
Accepted by the <pname> parameter of TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glCompressedTexImage3DOES(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, ByteBuffer data)`
`static void`
`glCompressedTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, ByteBuffer data)`
`static void`
`glCopyTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)`
`static void`
`glFramebufferTexture3DOES(int target, int attachment, int textarget, int texture, int level, int zoffset)`
`static void`
`glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)`
`static void`
`glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)`
`static void`
`glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)`
`static void`
`glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)`
`static void`
`glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)`
`static void`
`glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)`
`static void`
`glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)`
`static void`
`glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_3D_OES

public static final int GL_TEXTURE_3D_OES
Accepted by the <target> parameter of TexImage3DOES, TexSubImage3DOES, CopyTexSubImage3DOES, CompressedTexImage3DOES and CompressedTexSubImage3DOES, GetTexParameteriv, and GetTexParameterfv:

See Also:
  - Constant Field Values

### GL_TEXTURE_WRAP_R_OES

public static final int GL_TEXTURE_WRAP_R_OES
Accepted by the <pname> parameter of TexParameteriv, TexParameterfv, GetTexParameteriv, and GetTexParameterfv:

See Also:
  - Constant Field Values

### GL_MAX_3D_TEXTURE_SIZE_OES

public static final int GL_MAX_3D_TEXTURE_SIZE_OES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_TEXTURE_BINDING_3D_OES

public static final int GL_TEXTURE_BINDING_3D_OES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

## Method Details

### glTexImage3DOES

public static void glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ByteBuffer pixels)

### glTexImage3DOES

public static void glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, FloatBuffer pixels)

### glTexImage3DOES

public static void glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, IntBuffer pixels)

### glTexImage3DOES

public static void glTexImage3DOES(int target, int level, int internalFormat, int width, int height, int depth, int border, int format, int type, ShortBuffer pixels)

### glTexSubImage3DOES

public static void glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ByteBuffer pixels)

### glTexSubImage3DOES

public static void glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, FloatBuffer pixels)

### glTexSubImage3DOES

public static void glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, IntBuffer pixels)

### glTexSubImage3DOES

public static void glTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, ShortBuffer pixels)

### glCopyTexSubImage3DOES

public static void glCopyTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)

### glCompressedTexImage3DOES

public static void glCompressedTexImage3DOES(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, ByteBuffer data)

### glCompressedTexSubImage3DOES

public static void glCompressedTexSubImage3DOES(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, ByteBuffer data)

### glFramebufferTexture3DOES

public static void glFramebufferTexture3DOES(int target, int attachment, int textarget, int texture, int level, int zoffset)